
QGIS Application - Bug report #3461

slow image load visualization for tfw with rotation parameters

2011-02-01 09:17 AM - Luca Lanteri

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 13521

Description

When I try to load or visualize raster ortophoto (abotu 120 Mb) with rotation parameter in the header file (tfw) qgis is freezing for 40-50

sec. I have to wait the same time for every pan/refresh operation. 

If the rotation parameters is set to zero the image is loaded just in few second. 

The same raster (with rotation parameters) works fine with others GIS application, as udig for example.

The italian list suggest me to open a ticket. 

I can't attach the image due to size limit but I think the problem 

is the same with all image

This is the [[GeoTIFF]] info:

Driver: GTiff/GeoTIFF

Files: 0021_00211001_rgb.tif

Size is 7680, 13824

Coordinate System is:

PROJCS["WGS 84 / UTM zone 32N",

    GEOGCS["WGS 84",

        DATUM["WGS_1984",

            SPHEROID["WGS 84",6378137,298.257223563,

                AUTHORITY[[EPSG""7030]],

            AUTHORITY[[EPSG""6326]],

        PRIMEM[[Greenwich]],

        UNIT[[degree]],

        AUTHORITY[[EPSG""4326]],

    PROJECTION[[Transverse_Mercator]],

    PARAMETER[[latitude_of_origin]],

    PARAMETER[[central_meridian]],

    PARAMETER[[scale_factor]],

    PARAMETER[[false_easting]],

    PARAMETER[[false_northing]],

    UNIT["metre",1,

        AUTHORITY[[EPSG""9001]],

    AUTHORITY[[EPSG""32632]]

[[GeoTransform]] =

  32339334.7755, 0.249, 0.018

  5003594.055500001, 0.018, -0.249

Metadata:

  EXIF_BitsPerSample=16 16 16

  EXIF_Compression=1

  EXIF_PhotometricInterpretation=2
  EXIF_Orientation=1

  EXIF_SamplesPerPixel=3

  EXIF_XResolution=(833.333)

  EXIF_YResolution=(833.333)

  EXIF_PlanarConfiguration=1

  EXIF_ResolutionUnit=3

  EXIF_Software=Adobe Photoshop CS2 Windows

  EXIF_DateTime=2008:10:16 08:59:35

  EXIF_ColorSpace=65535

  EXIF_PixelXDimension=7680

  EXIF_PixelYDimension=13824

  AREA_OR_POINT=Area

Image Structure Metadata:

  COMPRESSION=DEFLATE

  INTERLEAVE=PIXEL

Corner Coordinates:

Upper Left  (32339334.776, 5003594.056) (129d24'8.65"W,Invalid angle)

Lower Left  (32339583.608, 5000151.880) ( 78d11'7.42"W,Invalid angle)

Upper Right (32341247.096, 5003732.296) ( 68d14'50.72"W,Invalid angle)

Lower Right (32341495.928, 5000290.120) (  6d30'39.61"W,Invalid angle)

Center      (32340415.352, 5001942.088) (120d44'35.31"E,Invalid angle)

Band 1 Block=256x256 Type=Byte, [[ColorInterp]]=Red

  Overviews: 3840x6912, 1920x3456, 960x1728, 480x864

Band 2 Block=256x256 Type=Byte, [[ColorInterp]]=Green

  Overviews: 3840x6912, 1920x3456, 960x1728, 480x864

Band 3 Block=256x256 Type=Byte, [[ColorInterp]]=Blue

  Overviews: 3840x6912, 1920x3456, 960x1728, 480x864

History

#1 - 2011-03-02 08:51 AM - Paolo Cavallini

- Resolution set to duplicate

- Status changed from Open to Closed
